Bug 1812382 - Discovery of Podmonitors Custom Resource across namespaces is disabled
Summary: Discovery of Podmonitors Custom Resource across namespaces is disabled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.3.z
Assignee: Damien Grisonnet
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1812381
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-11 08:17 UTC by Sergiusz Urbaniak
Modified: 2020-05-27 17:00 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1812381
Environment:
Last Closed: 2020-05-27 17:00:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 694 None open Bug 1812382: Enable discovery of Podmonitors Custom Resource across namespaces 2020-05-14 15:43:55 UTC
Red Hat Product Errata RHBA-2020:2184 None None None 2020-05-27 17:00:58 UTC

Comment 4 Junqi Zhao 2020-05-18 07:22:19 UTC
Tested with 4.3.0-0.nightly-2020-05-17-223233,and create PodMonitor under user namespace, Prometheus can discover/register the target

Comment 6 errata-xmlrpc 2020-05-27 17:00:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2184


Note You need to log in before you can comment on or make changes to this bug.